# 8小时转职Golang工程师（刘丹冰Aceld）

## 视频地址

[https://www.bilibili.com/video/BV1gf4y1r79E?spm_id_from=333.788.videopod.episodes&vd_source=f7c68b53565c39116ff75e9f97198de6](https://www.bilibili.com/video/BV1gf4y1r79E?spm_id_from=333.788.videopod.episodes&vd_source=f7c68b53565c39116ff75e9f97198de6)

## Go语言生态（笔记）

### Web框架

beego

[https://github.com/astaxie/beego](https://github.com/astaxie/beego)

gin

[https://github.com/gin-gonic/gin](https://github.com/gin-gonic/gin)

echo

[https://github.com/labstack/echo](https://github.com/labstack/echo)

iris

[https://github.com/kataras/iris](https://github.com/kataras/iris)

### 微服务框架

go kit

[http://gokit.io](http://gokit.io)

istio

[https://istio.io](https://istio.io)

### 容器编排

Kubernetes

[https://github.com/kubernetes/kubernetes](https://github.com/kubernetes/kubernetes)

swarm

[https://github.com/docker/clissicswarm](https://github.com/docker/clissicswarm)

### 服务发现

consul

[https://github.com/hashicorp/consul](https://github.com/hashicorp/consul)

### 存储引擎

etcd

[https://github.com/coreos/etcd](https://github.com/coreos/etcd)

tidb

[https://github.com/pingcap/tidb](https://github.com/pingcap/tidb)

### 静态建站

hugo

[https://github.com/gohugoio/hugo](https://github.com/gohugoio/hugo)

### 中间件

#### 消息队列

nsq

[https://github.com/nsqio/nsq](https://github.com/nsqio/nsq)

#### TCP长连接框架

zinx

[https://github.com/aceld/zinx](https://github.com/aceld/zinx)

#### 游戏服务器

leaf

[https://github.com/name5566/leaf](https://github.com/name5566/leaf)

#### RPC框架

grpc

[https://grpc.io](https://grpc.io)
[https://github.com/grpc/grpc-go](https://github.com/grpc/grpc-go)

#### redis集群

codis

[https://github.com/CodisLabs/codis](https://github.com/CodisLabs/codis)

### 爬虫框架

#### go query

[https://github.com/PuerkitoBio/goquery](https://github.com/PuerkitoBio/goquery)
